Bug 17180 - /usr/share/libgweather is HUGE
: /usr/share/libgweather is HUGE
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgweather)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-19 12:50 by
Modified: 2008-11-27 13:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-19 12:50:06
http://bugzilla.gnome.org/show_bug.cgi?id=552868 :

% du -s /usr/share/libgweather
46M     /usr/share/libgweather
% ls /usr/share/libgweather | xargs -i bash -c "gzip -9 <
/usr/share/libgweather/{} > {}"
% du -s .
8,0M    .
tar cjf /tmp/gwea.tb2 /usr/share/libgweather
% du -s /tmp/gwea.tb2
4,4M    /tmp/gwea.tb2

Bootomline:
There are ways to compress libgweather files. Definitely!
As (with the current GNOME installed), libgweather is one of the hugest
packages, it's worthy to compress locations data.
Hint: use libz on the files.
------- Comment #1 From 2008-09-19 12:52:01 -------
моё предложение:
в нашей сборке просто пожать все xml > gzip -9 , оставив файлы с прежними
именами. Проверка показала, что это не рушит функциональность. Что скажешь?
------- Comment #2 From 2008-09-19 15:44:05 -------
Ну если не рушит функциональность, давайте попробуем.
------- Comment #3 From 2008-11-27 09:33:48 -------
Апстрим внёс соотв. изменения.

http://bugzilla.gnome.org/show_bug.cgi?id=552868
------- Comment #5 from Vincent Untz  2008-11-25 21:18 UTC -------
This problem has been fixed in the development version. The fix will be
available in the next major software release. Thank you for your bug report.

По идее можно закрыть. Если что - переоткроем.
------- Comment #4 From 2008-11-27 13:18:17 -------
* Втр Ноя 25 2008 Yuri N. Sedunov <aris@altlinux.org> 2.24.2-alt1
- 2.24.2
- removed obsolete %post* scripts
- move gziped .xml files (altbug # 17180) to separate noarch subpackage